# string::index-of

Returns the position of the first occurrence in the specified string of the given search string.

### Usage

`int string::index-of(source, value)`

### Parameters

Name | Type | Description
--- | --- | ---
source | string | The string to search.
value | string | The string to locate within source.

### Return Value

The lowest-index position of value in source if it is found, or -1 if source does not contain value.

If value is an empty string, the return value will always be `0`.

### Remarks

This function performs a case-sensitive word search using the invariant culture.

### Examples

-     string::index-of('testing string', 'test') ==> 0

-     string::index-of('testing string', '') ==> 0

-     string::index-of('testing string', 'Test') ==> -1

-     string::index-of('testing string', 'ing') ==> 4

### Requirements

Assembly: NAnt.Core (0.92.4543.0)